Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.exceptions
Class AnnotationRedirectHandler

    java.lang.Object
      org.jboss.seam.core.Navigator
          org.jboss.seam.exceptions.ExceptionHandler
              org.jboss.seam.exceptions.RedirectHandler
                  org.jboss.seam.exceptions.AnnotationRedirectHandler

    public class AnnotationRedirectHandler

extends RedirectHandler

Constructor Summary
`AnnotationRedirectHandler()`

Method Summary
`protected String` | `getMessage(Exception e)`
`protected javax.faces.application.FacesMessage.Severity` | `getMessageSeverity(Exception e)`
`protected String` | `getViewId(Exception e)`
`protected boolean` | `isEnd(Exception e)`
`boolean` | `isHandler(Exception e)`

Methods inherited from class org.jboss.seam.exceptions.RedirectHandler
`handle, toString`

Methods inherited from class org.jboss.seam.core.Navigator
`addFacesMessage, error, getDisplayMessage, redirect, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnnotationRedirectHandler

    public AnnotationRedirectHandler()

Method Detail

### isHandler

    public boolean isHandler(Exception e)

  Specified by:
    `isHandler` in class `ExceptionHandler`

### getMessage

    protected String getMessage(Exception e)

  Specified by:
    `getMessage` in class `RedirectHandler`

### getMessageSeverity

    protected javax.faces.application.FacesMessage.Severity getMessageSeverity(Exception e)

  Specified by:
    `getMessageSeverity` in class `RedirectHandler`

### getViewId

    protected String getViewId(Exception e)

  Specified by:
    `getViewId` in class `RedirectHandler`

### isEnd

    protected boolean isEnd(Exception e)

  Specified by:
    `isEnd` in class `RedirectHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD